/*
Theme Name:   Vineta Child Theme
Description:  Write here a brief description about your child-theme
Author:       Themesflat
Author URL:   https://themesflat.co/fashion-vineta/
Template:     vineta
Version:      1.0.0
Tested up to: 5.8.1
Requires PHP: 5.6
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  vineta-child-theme
*/

/* Coming Soon */
.class-name-page-coming-soon .tf-toolbar-bottom {
    display: none;
}

/* Content Block */
.content-block p:not(:last-child),
.content-block ul:not(:last-child) {
    margin-bottom: 10px;
}
.content-block ul,
.content-block ul li {
    list-style-type: disc;
}
.content-block ul {
    padding-left: 20px;
}

/* Contact Us */
form .form-default fieldset textarea {
    height: auto;
}
form .form-default .button-submit {
    justify-content: inherit;
}

/* Customize */
.tf-warning:empty,
.tf-photo-message:empty {
    display: none;
}
.tf-form {
    background: var(--surface);
    border: 1px solid var(--line);
    border-radius: 6px;
    margin-bottom: 15px;
}
.tf-form-header {
    background-color: var(--white-2);
    border-radius: 6px 6px 0 0;
    font-size: 20px;
    font-weight: 600;
    padding: 16px 0;
    text-align: center;
    text-transform: uppercase;
}
.tf-form-field {
    padding: 15px;
}
.tf-form-title {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 8px;
}
.tf-asterisk {
    color: var(--red);
    margin-left: 5px;
}
.tf-photo-label {
    cursor: pointer;
    display: inline-flex;
    margin-bottom: 10px;
    position: relative;
}
.tf-photo-placeholder {
    border: 2px dashed var(--line-3);
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px;
    width: 150px;
}
.tf-photo-placeholder > svg {
    fill: var(--line-3);
    height: auto;
    width: 40px;
}
.tf-photo-uploaded {
    background: var(--white);
    box-shadow: var(--shadow-1);
    display: inline-flex;
}
.tf-photo-image {
    display: inline-flex;
    margin: 5px;
    width: auto;
    height: auto;
    max-width: 150px;
    max-height: 150px;
    min-width: 1px;
    min-height: 1px;
}
.tf-btn.tf-photo-clear {
    padding: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform: translate(calc(50% - 5px), calc(-50% + 5px));
    height: 24px;
    width: 24px;
}
.tf-photo-clear > svg {
    fill: var(--white);
    height: 8px;
    width: 8px;
}
.tf-photo-input {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    position: relative;
}
.tf-photo-input > input {
    position: absolute;
    opacity: 0;
    visibility: hidden;
    height: 0;
    width: 0;
}
.tf-btn-upload {
    cursor: pointer;
}
.tf-form-footer {
    margin-bottom: 15px;
}

.tf-photo-modal {
    background-color: rgba(0, 0, 0, .9);
    position: fixed;
    inset: 0;
    z-index: 9999;
}
.tf-photo-editor-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.tf-photo-mockup {
    position: relative;
    width: 538px;
    height: 538px;
    margin: auto;
}

.tf-printarea {
    position: absolute;
    top: 0;
    left: 0;
    width: 538px;
    height: 538px;
    overflow: hidden;
    cursor: grab;
}

.tf-artwork-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 700px;
    user-select: none;
    -webkit-user-drag: none;
}

.tf-mockup-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 538px;
    height: 538px;
    pointer-events: none;
}

.tf-mockup-image img {
    width: 100%;
    height: 100%;
}

.woocommerce-table--order-details.order_details .order_item > .img-product:not(.content > .img-product) {
    display: none;
}

.woocommerce-table--order-details.order_details .order_item .content,
.woocommerce-table--order-details.order_details .order_item .info{
    display: flex;
    gap: 10px;
    align-items: center;
}

.tf-progress-loader-wrapper {
    position: absolute;
    align-items: center;
    justify-content: center;
    background: rgba(255, 255, 255, 0.6);
    z-index: 9;
    pointer-events: none;
    transition: opacity 0.3s ease;
    inset: 0;
    display: none;
}

.tf-progress-loader {
    aspect-ratio: 1;
    display: grid;
    border-radius: 50%;
    background:
        linear-gradient(0deg, rgb(0 0 0/50%) 30%, #0000 0 70%, rgb(0 0 0/100%) 0) 50%/8% 100%,
        linear-gradient(90deg, rgb(0 0 0/25%) 30%, #0000 0 70%, rgb(0 0 0/75%) 0) 50%/100% 8%;
    background-repeat: no-repeat;
    animation: line-spin 1s infinite steps(12);
    width: 50px;
}

.tf-progress-loader::before,
.tf-progress-loader::after {
    content: '';
    grid-area: 1/1;
    border-radius: 50%;
    background: inherit;
    opacity: 0.915;
    transform: rotate(30deg);
}

.tf-progress-loader::after {
    opacity: 0.83;
    transform: rotate(60deg);
}

@keyframes line-spin {
    100% {
        transform: rotate(1turn)
    }
}

/* Offer Fixed Button */
.side-offer-wrapper {
	position: fixed;
    left: 40px;
	top: 50%;
	transform: translateY(-50%);
	z-index: 9999;
}

.side-offer-btn {
	display: block;
	background: #c9f7a6;
	color: #fff;
	font-weight: 600;
	padding: 16px 26px;
	border-radius: 0 0 12px 12px;
	text-decoration: none;
	font-size: 14px;
	transform: rotate(-90deg);
	box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}

.side-offer-close {
	position: absolute;
    right: 24px;
    bottom: 70px;
    width: 30px;
    height: 30px;
    background: #000;
    color: #fff !important;
    font-size: 20px;
    line-height: 22px;
    text-align: center;
    border-radius: 50%;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

.side-offer-close:hover {
	background: var(--primary);;
}